Method: projects.locations.instances.create

指定されたプロジェクトとロケーションで新しいインスタンスを作成します。

HTTP リクエスト

POST https://notebooks.googleapis.com/v2/{parent}/instances

パスパラメータ

パラメータ
parent

string

必須。形式: parent=projects/{projectId}/locations/{location}

認可には、指定されたリソース parent に対する次の IAM の権限が必要です。

  • notebooks.instances.create

クエリ パラメータ

パラメータ
instanceId

string

必須。このインスタンスのユーザー定義の固有 ID。

requestId

string

省略可。べき等リクエスト UUID。

リクエストの本文

リクエストの本文には Instance のインスタンスが含まれます。

レスポンスの本文

成功した場合、レスポンスの本文には、新しく作成された Operation のインスタンスが含まれます。

認可スコープ

次の OAuth スコープのいずれかが必要です。

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

詳細については、Authentication Overview をご覧ください。